### Method

# Gegl Color get_pixel

#### Declaration [src]

    void
    gegl_color_get_pixel (
      GeglColor* color,
      const Babl* format,
      void* pixel
    )

#### Description [src]

Store the color in a pixel in the given format.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `Babl`

  A babl pixel format.

  The data is owned by the caller of the method.

`pixel`

  Type: `void*`

  Pointer to a pixel.

  The argument can be `NULL`.
  The data is owned by the caller of the method.